Add built-in Java support

  • Please give me some time for the next test. I am on business travel (without my RasPi);(

    I tried the latest Libreelec Milhouse build. I also installed the JAVA ZULU add-on and the wget workaround. The results are not good. Basically JAVA is being detected by Kodi but many BDJ menus are now crashing. Seems that the latest libbluray is a step back. BTW: the VLC player with latest libbluray also shows worse BDJ performance under Windows.

  • I'm hoping to figure out these performance issues, but my first obstacle is getting the JRE & libbluray add-on loaded on my desktop.


    (Deleted my previous broken question. I just noticed vpeter's newer .zips that include addon.xml.)


    So now, tools.jre.zulu is getting loaded, but I still keep getting "libbluray-j2se-1.0.2.jar not found".


    I've updated the jre-env.profile to point JAVA_HOME at my installed JRE and to point LIBBLURAY_CP at my addon directory (/Users/username/Library/Application Support/Kodi/addons/tools.jre.zulu/).


    How does the addon.xml cause these environment variables to be set in a way that reaches libbluray.so?

    Edited once, last by pjcpjc ().

  • Is there any Libreelec / Kodi version available, which uses the latest libbluray version 1.2.0 including full BD-J menu support?

  • vpeter does the "jre for bd-j menus" plugin need an update for the nightlies due to the libbluray version bump? i.e. do the .jar files need to match the libraries?

  • vpeter does the "jre for bd-j menus" plugin need an update for the nightlies due to the libbluray version bump? i.e. do the .jar files need to match the libraries?

    Yes - will bump the version soon.

    Gone...

  • vpeter thanks. With the rebuild of the binary plugins, everything is good now.


    I will note though that generic-legacy is required due to the dependencies on X11. GBM is missing the libraries so Kodi will just sit with the spinner spinning, no recognition that the libraries didn't load unless you check a debug log. For GBM, the missing are:

    libXext.so.6 => not found

    libX11.so.6 => not found

    libxcb.so.1 => not found

  • smf007: Can I get the debug log file please? Because all this 3 files are already present in the image.


    And please test with latest LE nightly version where this addon should work.

    Gone...

  • I misread the situation :( Thanks for pointing it out.

    Sorry. Looking back I realize I could have written that clearer.


    So to clarify, for x86-64:

    • Generic (GBM) - missing libraries
    • Generic-Legacy (x11) - works